うえのです。

On Sun, 06 Jan 2002 17:45:55 +0900
nobu.nakada / nifty.ne.jp wrote:

> 一ヶ所、$>.flushが残ってます。

あ、ほんとだ。

> ちなみに、対象とするバージョンはどこまででしょうか。
> block_given?を見てたところからすると1.6より前も対象のように思え
> ますが、1.4だとOBJ_INFECT()はありません。と思って試してみたら、
> OBJ_INFECTはしっかりundefinedなのにちゃんと動くなぁ。なんで?

対象バージョンは特に考えていませんでした。
block_given? を見てるのは、単に Ruby/zlib を書き始めた頃の名残りです。
今のところコンパイルとテストは手元では 1.6 でしか行っていませんから、
そういう意味では対象としているのは 1.6 だけ、と言えなくもないです。

個人的には、単体でリリースしているうちは、少なくとも 1.4 くらいまでは
サポートしておきたいと思ってます。


# というか、OBJ_INFECT って 1.6 からだったんですか(汗;;



 --  ----  -     - - -- -
うえの かつひろ <unnie / blue.sky.or.jp>